Skip to main content
GET
GetTxsEvent

Query Parameters

events
string[]

events is the list of transaction event type. Deprecated post v0.47.x: use query instead, which should contain a valid events query.

pagination.key
string<byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string<uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string<uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.countTotal
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

orderBy
enum<string>
default:ORDER_BY_UNSPECIFIED
  • ORDER_BY_UNSPECIFIED: ORDER_BY_UNSPECIFIED specifies an unknown sorting order. OrderBy defaults to ASC in this case.
  • ORDER_BY_ASC: ORDER_BY_ASC defines ascending order
  • ORDER_BY_DESC: ORDER_BY_DESC defines descending order
Available options:
ORDER_BY_UNSPECIFIED,
ORDER_BY_ASC,
ORDER_BY_DESC
page
string<uint64>

page is the page number to query, starts at 1. If not provided, will default to first page.

limit
string<uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

query
string

query defines the transaction event query that is proxied to Tendermint's TxSearch RPC method. The query must be valid.

Response

A successful response.

GetTxsEventResponse is the response type for the Service.TxsByEvents RPC method.

txs
object[] | null

txs is the list of queried transactions.

tx_responses
object[] | null

tx_responses is the list of queried TxResponses.

pagination
object | null

pagination defines a pagination for the response. Deprecated post v0.46.x: use total instead.

total
string<uint64>